=== debian/changelog ===
nodejs (20.19.5+dfsg+~cs20.19.24-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * New upstream version 20.19.5+dfsg+~cs20.19.24
    Only updates types.
  * loongson: sequential/test-cpu-prof-worker-argv is flaky
  * libnodeXX only breaks/replaces specific versions,
    it does not need to be added for each previous version.
  * Use shared simdutf
  * Exclude simdutf now
  * patch: fix shared libs flags - cherry picked from upstream.

  [ Alexandre Detiste ]
  * drop obsolete dependency on dh-buildinfo

 -- Jérémy Lal <kapouer@melix.org>  Wed, 05 Nov 2025 13:33:20 +0100
